commit:     675209dbfc1635d67fc4ae761a87edbb0385f125
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Jun  6 07:46:13 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jun  6 23:18:13 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=675209db

toolchain.eclass: enhance src_test (print summary)

Just like Fedora and opensuse do.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 eclass/toolchain.eclass | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 8015c5b447ff..6fd79df3269f 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1860,12 +1860,21 @@ gcc_do_make() {
 #---->> src_test <<----
 
 toolchain_src_test() {
-       cd "${WORKDIR}"/build
+       cd "${WORKDIR}"/build || die
+
+       # From opensuse's spec file:
+       # "asan needs a whole shadow address space"
+       ulimit -v unlimited
 
        # 'asan' wants to be preloaded first, so does 'sandbox'.
        # To make asan tests work disable sandbox for all of test suite.
        # 'backtrace' tests also does not like 'libsandbox.so' presence.
        SANDBOX_ON=0 LD_PRELOAD= emake -k check
+
+       einfo "Testing complete."
+       einfo "Please ignore any 'mail' lines in the summary output below (no 
mail is sent)."
+       einfo "Summary:"
+       "${S}"/contrib/test_summary
 }
 
 #---->> src_install <<----

Reply via email to